﻿var nofappers = [
    /*{
     "avatarLink": "img/avatars/1219758799297.jpg",
     "name": "Pino",
     "joinedThread": "2014-01-25",
     "resistSince": "2014-04-01",
     "numOfFails": "0",
     "achievements": {
     "tan": false,
     "nezabudka": false,
     "pkface": false,
     "samovipil": false
     }

     },*/
    {
        "avatarLink": "img/avatars/2-16.png",
        "name": "Jubei",
        "joinedThread": "2014-01-29",
        "resistSince": "2014-05-04",
        "numOfFails": "1",
        "achievements": {
            "tan": false,
            "nezabudka": false,
            "pkface": false,
            "samovipil": false
        }

    },
    {
        "avatarLink": "img/avatars/a65a341e3fec7a52077708f118e01ce1.jpg",
        "name": "dzetto",
        "joinedThread": "2011-04-27",
        "resistSince": "2013-12-31",
        "numOfFails": "0",
        "achievements": {
            "tan": false,
            "nezabudka": false,
            "pkface": false,
            "samovipil": false
        }

    },
    {
        "avatarLink": "img/avatars/9ACrMLmPigc-2.jpg",
        // Имя
        "name": "КотЪ",
        // Дата присоединения к треду
        "joinedThread": "2014-03-20",
        // Дата последнего фейла
        "resistSince": "2014-05-05",
        // Число фейлов
        "numOfFails": "1",
        // Ачивки: true - выполнена, false - не выполнена
        "achievements": {
            // Тян
            "tan": false,
            // Незабудка
            "nezabudka": false,
            // Пека фейс
            "pkface": false,
            // Самовыпил
            "samovipil": false
        }
    },
    {
        "avatarLink": "img/avatars/Nekopantsu.jpg",
        "name": "Nekopantsu",
        "joinedThread": "2014-04-14",
        "resistSince": "2014-05-05",
        "numOfFails": "1",
        "achievements": {
            "tan": false,
            "nezabudka": false,
            "pkface": false,
            "samovipil": false
        }

    },
    {
        "avatarLink": "img/avatars/136725784432943.jpg",
        "name": "Художник-кун",
        "joinedThread": "2014-04-06",
        "resistSince": "2014-04-18",
        "numOfFails": "0",
        "achievements": {
            "tan": false,
            "nezabudka": false,
            "pkface": false,
            "samovipil": false
        }

    },
    {
        "avatarLink": "img/avatars/masuzzo.jpg",
        "name": "Джентльмен",
        "joinedThread": "2014-04-17",
        "resistSince": "2014-05-05",
        "numOfFails": "2",
        "achievements": {
            "tan": false,
            "nezabudka": false,
            "pkface": false,
            "samovipil": false
        }

    },
    {
        "avatarLink": "img/avatars/6PRjMvlUdZE.jpg",
        "name": "Sakuri",
        "joinedThread": "2014-04-18",
        "resistSince": "2014-04-17",
        "numOfFails": "0",
        "achievements": {
            "tan": false,
            "nezabudka": false,
            "pkface": false,
            "samovipil": false
        }

    },
    {
        "avatarLink": "img/avatars/nofap.jpg",
        "name": "Desa",
        "joinedThread": "2014-05-01",
        "resistSince": "2014-05-01",
        "numOfFails": "0",
        "achievements": {
            "tan": false,
            "nezabudka": false,
            "pkface": false,
            "samovipil": false
        }

    },
    {
        "avatarLink": "img/avatars/hrllo.png",
        "name": "RusDweller",
        "joinedThread": "2014-05-03",
        "resistSince": "2014-05-03",
        "numOfFails": "0",
        "achievements": {
            "tan": false,
            "nezabudka": false,
            "pkface": false,
            "samovipil": false
        }

    }
];

$(window).load(function()
{
    var firstDay = moment().format('YYYY-MM');
    var currentDate = moment().format('YYYY-MM-DD');
    var events = [
         { start: firstDay + '-' + '01' , end: currentDate, title: 'Past days' }
    ];

    // Set up calendar
    $('#mini-clndr').clndr({
        template: $('#calendar-template').html(),
        weekOffset: 1,
        daysOfTheWeek: ['Пн', 'Вт', 'Ср', 'Чт', 'Пт', 'Сб', 'Вс'],
        events: events,
        multiDayEvents: {
            startDate: 'start',
            endDate: 'end'
        },
        year: 2014,
        adjacentDaysChangeMonth: true
    });

    // Fill table with nofappers
    $.each(nofappers, function(i, nofapper) {
        // Calculate and fill number of days
        var oneDay = 24*60*60*1000;
        var dateStart = new Date( Date.parse(nofapper.resistSince) );
        var now = Date.now();

        var diffDays = Math.round(Math.abs((dateStart.getTime() - now)/(oneDay))) - 1;

        // Fill general data
        var $tr = $('<tr>').append(
            $('<td>').html("<img src=\"" + nofapper.avatarLink  + "\" class=\"avatar-image\">"),
            $('<td>').text(i + 1),
            $('<td>').text(nofapper.name),
            $('<td>').text(nofapper.joinedThread),
            $('<td>').text(nofapper.resistSince),
            $('<td>').text(diffDays),
            $('<td>').text(nofapper.numOfFails)
        );

        var $achievements = "";
        // Calculate and fill medals
        if ( diffDays >= 365 )
            $achievements += "<img src=\"img/titan.PNG\" class=\"achievement-image\">";
        else if ( diffDays >= 183 )
            $achievements += "<img src=\"img/elite.PNG\" class=\"achievement-image\">";
        else if ( diffDays >= 90 )
            $achievements += "<img src=\"img/gold.PNG\" class=\"achievement-image\">";
        else if ( diffDays >= 30 )
            $achievements += "<img src=\"img/silver.PNG\" class=\"achievement-image\">";
        else if ( diffDays >= 7 )
            $achievements += "<img src=\"img/bronze.PNG\" class=\"achievement-image\">";

        // Fill achievements
        if ( nofapper.numOfFails >= 5 )
            $achievements += "<img src=\"img/uporstvo.PNG\" class=\"achievement-image\">";
        if ( nofapper.achievements.tan )
            $achievements += "<img src=\"img/tan.PNG\" class=\"achievement-image\">";
        if ( nofapper.achievements.nezabudka)
            $achievements += "<img src=\"img/nezabudka.PNG\" class=\"achievement-image\">";
        if ( nofapper.achievements.pkface)
            $achievements += "<img src=\"img/pkface.PNG\" class=\"achievement-image\">";
        if ( nofapper.achievements.samovipil)
            $achievements += "<img src=\"img/samovipil.PNG\" class=\"achievement-image\">";
        $tr.append($('<td>').html($achievements));
        $("#nofappers").find('tbody').append($tr);
    });

});